summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2019-12-27 11:24:18 -0800
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2019-12-27 11:24:48 -0800
commit5192e37442aa13e5ac74890cfa7ba74dc0deed57 (patch)
tree2d8cb1c1be5616952b24f090076a44a7ca2ff59d
parentnet-firewall/ipt_netflow: Update live ebuild (diff)
downloadgentoo-5192e37442aa13e5ac74890cfa7ba74dc0deed57.tar.gz
gentoo-5192e37442aa13e5ac74890cfa7ba74dc0deed57.tar.bz2
gentoo-5192e37442aa13e5ac74890cfa7ba74dc0deed57.zip
app-misc/skim: bump to 0.6.9
Bug: https://bugs.gentoo.org/694416 Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
-rw-r--r--app-misc/skim/Manifest2
-rw-r--r--app-misc/skim/skim-0.6.9.ebuild115
2 files changed, 117 insertions, 0 deletions
diff --git a/app-misc/skim/Manifest b/app-misc/skim/Manifest
index 8295e61c1c0..f1638525ddd 100644
--- a/app-misc/skim/Manifest
+++ b/app-misc/skim/Manifest
@@ -73,6 +73,7 @@ DIST skim-0.6.4.tar.gz 85922 BLAKE2B ddf8a64bf3e7daca04bea7e0a208b9acf7e336c299a
DIST skim-0.6.6.tar.gz 86665 BLAKE2B 5e89507ab76d974bd0925aa273565eae0f9e7783a18a84da6083d28ac13394ace48123cc658bab6065c0fd4f46a2e96469ac990ef58e6a0391e740825095581f SHA512 df4c8c9a3641321786e014f63d1f1bc4b15762d666792d3f8b86e73704c15643ca01e3f6242243eb903454cc7c8e983255583b1cddc39cfdd5e779c00f1a546e
DIST skim-0.6.7.crate 84440 BLAKE2B 8d941d790071b3c2b310dc7a407b5e58b5f482637ee97aebad34052141799cf3b074ef415d9806d2d25701082ca195088d59f8d3ed9a19492cb1084d36fc52da SHA512 273337fcf6e46eff99f10b4a6eef7a66e215db0e0632531b5bab7bec4087f283dfb2bbcfcfb45613bedb94b208235f7f7acbadc1c2008c46ede7c64125f938e9
DIST skim-0.6.8.crate 84742 BLAKE2B 1211bc10cc8cffb65335eaa7b9d299d243a38f042aeec971c8988c4c33d9300a6c6ff2d1f029b5b55032c272c720c18e5b69729a7d27a89e1ef0f129576444cc SHA512 124bcddf623890521b1fcd39b022303b021a8396d9049352725c02bbba8a90d8c3611bb519bb2072d767954eedfc9b81af74642eaf4378f334f374d46ac3dad2
+DIST skim-0.6.9.crate 85410 BLAKE2B 6b06657896f6959c4ea0882e99c4ecf29b485fdddbcc9b7313753e5557e42ccd786e107327aeed5485785cab001d0586059017492f1d3d7e4eeba443817c7312 SHA512 28619820fa564906a8b13d587a484055dc540befd509668e05d181888412c66530039c4cc2e5d9ad872b15b757e1f836d0503559b91eb77b1a9caed435b17d80
DIST strsim-0.6.0.crate 8500 BLAKE2B fb5d756691a359d086886bf579445a262d2691285c120670e1b9da828922e43630339d59e4dbc98fe1fd6c92785264bef645be4ca80681059d8ee9f6d7be582b SHA512 43cbcf2cab7f91515f52f20719e8013cff23807ca79a9a69f1997ec1ba2eacf713d64c88e33f4c9ba852fb3dda4b87e943587ae4b6ff5bfbbb81deb6dbf76a97
DIST strsim-0.7.0.crate 8435 BLAKE2B 6869075bc3949fbdec1b74548b816560d1bf3759ba4c3e972a84f885e6732edd25596d75a4b6f6b85d93821f559757d096cb5f0b0eb04dabd8bb974d214f3188 SHA512 3f92df0f444129b16fbb15c533b7bc1d6f18970b487b57345f74747fb7f41e3dc0cb61255712e94d419a5777b8f6a9cdf1a716718698c479eb98dfb6464d1983
DIST syn-0.15.29.crate 146203 BLAKE2B b9280bda7735dfc08f80816e5db9c22e27596e5bfcbc54accd37a9bc4899c2caf1bcef03155c653441365ed9fc8cad910fa47c58ba7a386b3fc9f40b4be59a27 SHA512 1a5f365a8239758c9a2e2cfac3bac1bc94995ea48eb087cc8a2dc62a33a2f22b2bbe2985e344fdd758021ab66e55ff17e76c0234e9ae342499d1ae1fc3294767
@@ -89,6 +90,7 @@ DIST timer-0.2.0.crate 12190 BLAKE2B 51a84f110fa814a9d844bbc7b81cb68f931e85a1a73
DIST tuikit-0.2.4.crate 33957 BLAKE2B 3fa1eeb5ac69e0754ada795f79c4c487b5dd4477af57d20c526b8a8f79b586b9de0ec1038cacc7d103b1947ea2cf034658b741c4670acd6a5582a49dc5afd3e0 SHA512 1020e264eb63bf966cc34dadbf74d19e752752f53f07a6148c79310cb5d0cb33f1d57566c2e72dff005012eaa62b02c673ff69ac857805fe28af4e7648c18ac4
DIST tuikit-0.2.6.crate 34499 BLAKE2B c957c6b14c91567a06ce6fa5249438cb2cd7c767d111190c4d4fabf9587644d89500ad8beb49df02dac1acf581122f5bbb273fb8fb4e62f60e50f64e19e8c399 SHA512 6f468ef533815f352e2002d743efdc82be2dec9a3ae86f01fd22d1a9f8bc59082f8fb4ded73f1d8a94206beb97445c1d4a21ae742be2646d256874807709519a
DIST tuikit-0.2.8.crate 35021 BLAKE2B 506e0c8cd7d301c532100c28838d404c27be7513ee5aab1fd5957fd68009cd0981b84a4ef78fa47dd59bf2c9572a0309bec84e602be19974713a010d55e2db0b SHA512 59f4a97b6322fe291cfe8ab4bda5ad380e6d227be0315205512c512584a85628b6ee4904ee0990944ca3078385dd8e56774e19a4d89f28bf178e7259adb875bc
+DIST tuikit-0.2.9.crate 35141 BLAKE2B 0ade82741a12b9fb094d3c56cd2d5efae093663fb6f52156f18e5777ee556e7521cf98849dc03b88e46d0ceb3cc253afe218708346914960a1a9a371dfe15bec SHA512 33568432d0c38f77b6102c27a5fe2a654c6772afaa442b021e4d29c181573e4d22b323fba642f6e916eba5968733eb422ec1dd24bf3748dbc4158a53a1bc5f86
DIST ucd-util-0.1.3.crate 25897 BLAKE2B d67d250603625d7fe55b1bd17a8bff03ddf2e48b531e8f754f51dcd49370a2b66d0915842fb2fce85a69df2c38f9c086ac3c36115d40c5a8138e5451f71a1cfe SHA512 50a796feb198012241d73001bb53c8e3d3168df379de91d7ecaccfd829b08a356afe3db736fb8cced8748141d7a9e4b157440442c425816c78c0615c08e20f2e
DIST unicode-width-0.1.4.crate 15283 BLAKE2B 61a72cc00c929624bbf46ab89a8850270ce36d0c986dd302b436b98405e2b53c1199588c70920a3379fa55c9dadd070404a8d3580544c02ffe9bbdb6ed078215 SHA512 f06b243e533ab9c68d88ccd06a283dfff5fd13e9340cf11bfa74473fc9100bb704c34e7fb66919202a97e7d2ba2e7eed968eced02d557835a06e6a0166865ea3
DIST unicode-width-0.1.5.crate 15761 BLAKE2B 575e6bfe8b8b70cb0e5a167bf546df2964361a223b03a65bdc588c32d4cf9f01194daa8d6d1c90319f1f9981aa5b092dce67c9c97450be4ea630784d834cdbe2 SHA512 bd5ac5f0433953d79408074239edc7c43ce23d56659d467805d81ab01c576a3cf77ccedb3bba41d48bc4ad46a8905ac8a1927b99312053ef6295fd940a6766d2
diff --git a/app-misc/skim/skim-0.6.9.ebuild b/app-misc/skim/skim-0.6.9.ebuild
new file mode 100644
index 00000000000..c5c1eb4ea51
--- /dev/null
+++ b/app-misc/skim/skim-0.6.9.ebuild
@@ -0,0 +1,115 @@
+# Copyright 2017-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CRATES="
+aho-corasick-0.7.3
+ansi_term-0.11.0
+arrayvec-0.4.10
+atty-0.2.11
+bitflags-1.0.4
+byteorder-1.3.1
+cc-1.0.31
+cfg-if-0.1.7
+chrono-0.4.6
+clap-2.32.0
+crossbeam-deque-0.2.0
+crossbeam-epoch-0.3.1
+crossbeam-utils-0.2.2
+darling-0.8.6
+darling_core-0.8.6
+darling_macro-0.8.6
+derive_builder-0.7.1
+derive_builder_core-0.4.1
+either-1.5.1
+env_logger-0.6.1
+fnv-1.0.6
+fuzzy-matcher-0.2.1
+humantime-1.2.0
+ident_case-1.0.1
+lazy_static-1.3.0
+libc-0.2.58
+log-0.4.6
+memchr-2.2.0
+memoffset-0.2.1
+nix-0.14.0
+nodrop-0.1.13
+num-integer-0.1.39
+num-traits-0.2.6
+num_cpus-1.10.0
+proc-macro2-0.4.27
+quick-error-1.2.2
+quote-0.6.11
+rayon-1.0.3
+rayon-core-1.4.1
+redox_syscall-0.1.51
+redox_termios-0.1.1
+regex-1.1.6
+regex-syntax-0.6.6
+scopeguard-0.3.3
+shlex-0.1.1
+skim-0.6.9
+strsim-0.7.0
+syn-0.15.29
+term-0.5.1
+termcolor-1.0.4
+termion-1.5.1
+textwrap-0.10.0
+thread_local-0.3.6
+time-0.1.42
+timer-0.2.0
+tuikit-0.2.9
+ucd-util-0.1.3
+unicode-width-0.1.5
+unicode-xid-0.1.0
+utf8-ranges-1.0.2
+utf8parse-0.1.1
+vec_map-0.8.1
+void-1.0.2
+vte-0.3.3
+winapi-0.3.6
+winapi-i686-pc-windows-gnu-0.4.0
+winapi-util-0.1.2
+winapi-x86_64-pc-windows-gnu-0.4.0
+wincolor-1.0.1
+"
+
+inherit cargo
+
+DESCRIPTION="Command-line fuzzy finder"
+HOMEPAGE="https://github.com/lotabout/skim"
+SRC_URI="$(cargo_crate_uris ${CRATES})"
+
+LICENSE="Apache-2.0 MIT MPL-2.0 Unlicense"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="tmux vim"
+
+RDEPEND="
+ tmux? ( app-misc/tmux )
+ vim? ( || ( app-editors/vim app-editors/gvim ) )
+"
+
+QA_FLAGS_IGNORED="usr/bin/sk"
+
+src_install() {
+ # prevent cargo_src_install() blowing up on man installation
+ mv man manpages || die
+
+ cargo_src_install
+ dodoc CHANGELOG.md README.md
+ doman manpages/man1/*
+
+ use tmux && dobin bin/sk-tmux
+
+ if use vim; then
+ insinto /usr/share/vim/vimfiles/plugin
+ doins plugin/skim.vim
+ fi
+
+ # install bash/zsh completion and keybindings
+ # since provided completions override a lot of commands, install to /usr/share
+ insinto /usr/share/${PN}
+ doins shell/{*.bash,*.zsh}
+}